# $Id: playfield_resistor.py 54 2005-09-03 12:43:57Z  $

### Imports ###
import pygame
import time
import random
from playfield_item import *

RESISTOR_IMAGE_FILES = (
	"../media/images/pf-resistor-1.png",
	"../media/images/pf-resistor-2.png",
)

VERTICAL_RESISTOR_CHANCE = 0.5

### Class PlayfieldResistor ###
class PlayfieldResistor(PlayfieldItem):
	def __init__(self):
		self.ITEM_IMAGE_FILE = random.choice(RESISTOR_IMAGE_FILES)
		PlayfieldItem.__init__(self)
		
		# Make it a vertical resistor by chance
		if random.random() < VERTICAL_RESISTOR_CHANCE:
			self.image = pygame.transform.rotate(self.image, -90)
			self.rect = self.image.get_rect()

	def getItemType(self):
		return 'resistor'
